Upstream information

CVE-2019-18423 at MITRE

Description

An issue was discovered in Xen through 4.12.x allowing ARM guest OS users to cause a denial of service via a XENMEM_add_to_physmap hypercall. p2m->max_mapped_gfn is used by the functions p2m_resolve_translation_fault() and p2m_get_entry() to sanity check guest physical frame. The rest of the code in the two functions will assume that there is a valid root table and check that with BUG_ON(). The function p2m_get_root_pointer() will ignore the unused top bits of a guest physical frame. This means that the function p2m_set_entry() will alias the frame. However, p2m->max_mapped_gfn will be updated using the original frame. It would be possible to set p2m->max_mapped_gfn high enough to cover a frame that would lead p2m_get_root_pointer() to return NULL in p2m_get_entry() and p2m_resolve_translation_fault(). Additionally, the sanity check on p2m->max_mapped_gfn is off-by-one allowing "highest mapped + 1" to be considered valid. However, p2m_get_root_pointer() will return NULL. The problem could be triggered with a specially crafted hypercall XENMEM_add_to_physmap{, _batch} followed by an access to an address (via hypercall or direct access) that passes the sanity check but cause p2m_get_root_pointer() to return NULL. A malicious guest administrator may cause a hypervisor crash, resulting in a Denial of Service (DoS). Xen version 4.8 and newer are vulnerable. Only Arm systems are vulnerable. x86 systems are not affected.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 8.5
Vector AV:N/AC:M/Au:S/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1154460 [RESOLVED / INVALID]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
HPE-Helion-OpenStack-8-2019-3297
Image SLES15-EC2-CHOST-HVM-BYOS
  • xen-libs >= 4.10.4_08-3.28.1
  • xen-tools-domU >= 4.10.4_08-3.28.1
Image SLES15-SP1-CHOST-BYOS-EC2
  • xen-libs >= 4.12.1_04-3.6.1
  • xen-tools-domU >= 4.12.1_04-3.6.1
SUSE CaaS Platform 3.0
  • xen >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-CAASP-3.0-2019-3297
SUSE Enterprise Storage 5
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-Storage-5-2019-3297
SUSE Linux Enterprise Desktop 12 SP4
  • xen >= 4.11.3_02-2.20.1
  • xen-libs >= 4.11.3_02-2.20.1
  • xen-libs-32bit >= 4.11.3_02-2.20.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-3310
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • xen >= 4.12.1_06-1.1
  • xen-doc-html >= 4.12.1_06-1.1
  • xen-libs >= 4.12.1_06-1.1
  • xen-libs-32bit >= 4.12.1_06-1.1
  • xen-tools >= 4.12.1_06-1.1
  • xen-tools-domU >= 4.12.1_06-1.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • xen >= 4.12.1_04-3.6.1
  • xen-libs >= 4.12.1_04-3.6.1
  • xen-tools-domU >= 4.12.1_04-3.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2961
SUSE Linux Enterprise Module for Basesystem 15
  • xen >= 4.10.4_08-3.28.1
  • xen-libs >= 4.10.4_08-3.28.1
  • xen-tools-domU >= 4.10.4_08-3.28.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-3309
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • xen >= 4.12.1_04-3.6.1
  • xen-devel >= 4.12.1_04-3.6.1
  • xen-doc-html >= 4.12.1_04-3.6.1
  • xen-libs >= 4.12.1_04-3.6.1
  • xen-libs-32bit >= 4.12.1_04-3.6.1
  • xen-tools >= 4.12.1_04-3.6.1
  • xen-tools-domU >= 4.12.1_04-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2961
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • xen >= 4.12.1_04-3.6.1
  • xen-devel >= 4.12.1_04-3.6.1
  • xen-tools >= 4.12.1_04-3.6.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2961
SUSE Linux Enterprise Module for Server Applications 15
  • xen >= 4.10.4_08-3.28.1
  • xen-devel >= 4.10.4_08-3.28.1
  • xen-tools >= 4.10.4_08-3.28.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-3309
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-3297
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-3297
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-3297
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xen >= 4.11.3_02-2.20.1
  • xen-doc-html >= 4.11.3_02-2.20.1
  • xen-libs >= 4.11.3_02-2.20.1
  • xen-libs-32bit >= 4.11.3_02-2.20.1
  • xen-tools >= 4.11.3_02-2.20.1
  • xen-tools-domU >= 4.11.3_02-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-3310
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-3297
SUSE Linux Enterprise Software Development Kit 12 SP4
  • xen >= 4.11.3_02-2.20.1
  • xen-devel >= 4.11.3_02-2.20.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3310
SUSE Linux Enterprise Software Development Kit 12 SP5
  • xen-devel >= 4.12.1_06-1.1
SUSE OpenStack Cloud 8
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-3297
SUSE OpenStack Cloud Crowbar 8
  • xen >= 4.9.4_06-3.59.1
  • xen-doc-html >= 4.9.4_06-3.59.1
  • xen-libs >= 4.9.4_06-3.59.1
  • xen-libs-32bit >= 4.9.4_06-3.59.1
  • xen-tools >= 4.9.4_06-3.59.1
  • xen-tools-domU >= 4.9.4_06-3.59.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-3297
openSUSE Leap 15.1
  • xen >= 4.12.1_04-lp151.2.6.1
  • xen-debugsource >= 4.12.1_04-lp151.2.6.1
  • xen-devel >= 4.12.1_04-lp151.2.6.1
  • xen-doc-html >= 4.12.1_04-lp151.2.6.1
  • xen-libs >= 4.12.1_04-lp151.2.6.1
  • xen-libs-32bit >= 4.12.1_04-lp151.2.6.1
  • xen-libs-32bit-debuginfo >= 4.12.1_04-lp151.2.6.1
  • xen-libs-debuginfo >= 4.12.1_04-lp151.2.6.1
  • xen-tools >= 4.12.1_04-lp151.2.6.1
  • xen-tools-debuginfo >= 4.12.1_04-lp151.2.6.1
  • xen-tools-domU >= 4.12.1_04-lp151.2.6.1
  • xen-tools-domU-debuginfo >= 4.12.1_04-lp151.2.6.1
Patchnames:
openSUSE-2019-2508


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 xen Released
SUSE Container as a Service Platform 1.0 xen Affected
SUSE Container as a Service Platform 2.0 xen Not affected
SUSE Linux Enterprise 15 Module for Basesystem xen Released
SUSE Linux Enterprise 15 Module for Server Applications xen Released
SUSE Linux Enterprise 15-SP1 Module for Basesystem xen Released
SUSE Linux Enterprise 15-SP1 Module for Server Applications xen Released
SUSE Linux Enterprise Desktop 12 SP4 xen Released
SUSE Linux Enterprise High Performance Computing 12 SP4 xen Released
SUSE Linux Enterprise Server 11 SP1 xen Not affected
SUSE Linux Enterprise Server 11 SP3 xen Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS xen Released
SUSE Linux Enterprise Server 12 SP4 xen Released
SUSE Linux Enterprise Server 12 SP5 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Released
SUSE Linux Enterprise Software Development Kit 12 SP4 xen Released